<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2018 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          xmlns:androidprv="http://schemas.android.com/apk/prv/res/android"
          package="com.android.ons"
          coreApp="true"
          android:process="com.android.phone"
          android:sharedUserId="android.uid.phone">

    <protected-broadcast android:name="com.android.ons.action.DOWNLOAD" />
    <protected-broadcast android:name="com.android.ons.action.CONFIG" />

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <application
        android:process="com.android.phone"
        android:persistent="true">

        <receiver android:name="ONSAutoBoot"
            android:exported="true"
            android:directBootAware="true">
            <intent-filter>
                <action android:name="android.intent.action.LOCKED_BOOT_COMPLETED" />
            </intent-filter>
        </receiver>

        <service android:name=".OpportunisticNetworkService"
                 android:enabled="true"
                 android:exported="false"
                 android:directBootAware="true"
                 android:singleUser="true" />

        <receiver android:name=".ONSProfileResultReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="android.telephony.action.MULTI_SIM_CONFIG_CHANGED"/>
            </intent-filter>
            <intent-filter>
                <action android:name="com.android.ons.action.ESIM_DOWNLOAD"/>
            </intent-filter>
            <intent-filter>
                <action android:name="com.android.ons.action.ESIM_CONFIG"/>
            </intent-filter>
        </receiver>
    </application>
</manifest>
